---
title: Preview Result
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Load Balancers](https://developers.cloudflare.com/api/python/resources/load_balancers)

[Previews](https://developers.cloudflare.com/api/python/resources/load_balancers/subresources/previews)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Preview Result

load\_balancers.previews.get(strpreview\_id, PreviewGetParams\*\*kwargs) -> [PreviewGetResponse](<https://developers.cloudflare.com/api/python/resources/load_balancers#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/load\_balancers/preview/{preview\_id}

Get the result of a previous preview operation using the provided preview\_id.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Load Balancing: Monitors and Pools Write``Load Balancing: Monitors and Pools Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20load_balancers.previews%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

preview\_id: str

[Link to this property](<#(resource)%20load_balancers.previews%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20preview_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

Dict\[str, PreviewGetResponseItem]

Resulting health data from a preview operation.

</summary>

healthy: Optional\[bool]

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20healthy">Link to this property</a>

<details>

<summary>

origins: Optional\[List\[Dict\[str, PreviewGetResponseItemOriginPreviewGetResponseItemOriginItem]]]

</summary>

failure\_reason: Optional\[str]

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20origins%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20failure_reason">Link to this property</a>

healthy: Optional\[bool]

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20origins%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20healthy">Link to this property</a>

response\_code: Optional\[float]

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20origins%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20response_code">Link to this property</a>

rtt: Optional\[str]

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20origins%20%3E%20(items)%20%3E%20(items)%20%3E%20(property)%20rtt">Link to this property</a>

</details>

<a href="#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20origins">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.previews%20%3E%20(model)%20preview_get_response%20%3E%20(schema)>)

### Preview Result

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
preview = client.load_balancers.previews.get(
    preview_id="p1aba936b94213e5b8dca0c0dbf1f9cc",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(preview)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "abwlnp5jbqn45ecgxd03erbgtxtqai0d": {
      "healthy": true,
      "origins": [
        {
          "originone.example.com.": {
            "failure_reason": "No failures",
            "healthy": true,
            "response_code": 200,
            "rtt": "66ms"
          }
        }
      ]
    }
  },
  "success": true
}
```